require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddFlowers(FlowerType.FLOWERS4, "flowersSS", false);
SManager:AddFlowers(FlowerType.FLOWERS3, "flowersWRB", false);
SManager:AddFlowers(FlowerType.FLOWERS7, "flowersSB", true);

SManager:AddAppetizer(AppetizerType.ASPARAGUS, "asparagusGrilled", true);
SManager:AddAppetizer(AppetizerType.CRACKERS, "crackersBleu", true);
SManager:AddAppetizer(AppetizerType.SHRIMP, "shrimpBBQ", false);

SManager:AddMeal(MealType.FISH, "fishGrilledLemonHal", false);
SManager:AddMeal(MealType.STEAK, "steakBeefBurgundy", true);
SManager:AddMeal(MealType.PASTA, "fettucine", true);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.APPETIZER, SelectionType.MEAL, SelectionType.FLOWERS);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");